UTF8Writer (Jackson-core 2.0.2 API)
Date: 2012-05-14

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.core.io
Class UTF8Writer

    java.lang.Object
      java.io.Writer
          com.fasterxml.jackson.core.io.UTF8Writer

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public final class UTF8Writer

extends Writer

Field Summary
`protected IOContext` | `_context`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`UTF8Writer(IOContext ctxt, OutputStream out)`

Method Summary
`Writer` | `append(char c)`
`void` | `close()`
`void` | `flush()`
`void` | `write(char[] cbuf)`
`void` | `write(char[] cbuf, int off, int len)`
`void` | `write(int c)`
`void` | `write(String str)`
`void` | `write(String str, int off, int len)`

Methods inherited from class java.io.Writer
`append, append`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _context

    protected final IOContext _context

Constructor Detail

### UTF8Writer

    public UTF8Writer(IOContext ctxt,
                      OutputStream out)

Method Detail

### append

    public Writer append(char c)
                  throws IOException

  Specified by:
    `append` in interface `Appendable`
  Overrides:
    `append` in class `Writer`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `Writer`
  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `Flushable`
  Specified by:
    `flush` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(char[] cbuf)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(char[] cbuf,
                      int off,
                      int len)
               throws IOException

  Specified by:
    `write` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(int c)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(String str)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(String str,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 fasterxml.com. All Rights Reserved.